Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 604520 - Bitcoin ebuilds: Switch to Knots upstream by default
Summary: Bitcoin ebuilds: Switch to Knots upstream by default
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal enhancement (vote)
Assignee: Anthony Basile
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2017-01-03 16:06 UTC by Luke-Jr
Modified: 2021-01-22 00:02 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Patch to Bitcoin ebuilds to change default upstream to Knots (knots.patch,9.70 KB, patch)
2017-01-03 16:06 UTC, Luke-Jr
Details | Diff
Patch to Bitcoin ebuilds to change default upstream to Knots (bitcoin-ebuilds-knots-default.patch,8.86 KB, patch)
2017-03-04 22:50 UTC, Luke-Jr
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Luke-Jr 2017-01-03 16:06:31 UTC
Created attachment 458544 [details, diff]
Patch to Bitcoin ebuilds to change default upstream to Knots

Bitcoin Knots includes a number of enhancements users may find useful.

Note that:
- The USE flag is being renamed from the old "ljr" to "knots" to reflect the current naming. This is done at the same time as changing the default, to minimise surprise/impact on users who have explicitly set it.
- This does NOT enable the historically-controversial spamfilter BITCOIN_POLICY.
- Knots has since 0.12 included a clearly different splash screen and branding, so even if the user somehow misses the USE flag change and explicit src_prepare warning, it is clear upfront at startup and runtime that they are running Knots rather than Core.
- Old ebuilds are not being updated to minimise impact.
- This patch is based on 0.13.2, which is not yet merged: https://github.com/gentoo/gentoo/pull/3311
Comment 1 Luke-Jr 2017-03-04 22:50:09 UTC
Created attachment 465986 [details, diff]
Patch to Bitcoin ebuilds to change default upstream to Knots

Updated patch
Comment 2 Sam James archtester gentoo-dev Security 2021-01-22 00:01:45 UTC
I think it's more appropriate to do this in a separate ebuild: this violates the principle of least surprise.